/* Tiffanie Myung Ah Bederman						*
 * Due: 20 September 2002, extended due date: 23 September 2002		*
 * First Project, COMP 1671, Autumn 2002				*
 * Program prompts student for information, outputs the data,		*
 * and calculates the student's age.					*/


//access input/output and string (variable) capabilities
#include <iostream>
#include <string>

using namespace std;

//set the current year as 2002 for age calculation
const int current_year = 2002;

int main ()
{
	//declare variables
	string first_name;
	string last_name;
	int birth_year;
	string year_in_school;
	float gpa;
	int age = 0;
	char birthday_yet;

	cout << endl;
	
	//prompt for first name,
	//store as string "first_name"
	cout << "Please type your first name : ";
	cin >> first_name;

	//prompt for last name,
	//store as string "last_name"
	cout << "Please type your last name  : ";
	cin >> last_name;

	//prompt for the user's birth year,
	//store as integer "birth_year"
	cout << "What year were you born?    : ";
	cin >> birth_year;

	//prompt for if the user has had their birthday yet or not,
	//store as character "birthday_yet"
	cout << "Have you had your birthday yet this year?" << endl;
	cout << "'y' for yes or 'n' for no   : ";
	cin >> birthday_yet;

	//prompt for user's year in school,
	//store as string "year_in_school"
	cout << "What is your year in school?: ";
	cin >> year_in_school;

	//prompt for student's GPA,
	//store as float "gpa"
	cout << "What is your GPA?           : ";
	cin >> gpa;

	//output name and class results
	cout << endl;
	cout << "Student name                : "
		<< first_name << " " << last_name << endl;
	cout << "Student class               : " << year_in_school << endl;
	
	//calculate age

	/*if the student has had their birthday already this year, calculate
	 * their age as the difference between the current year and their
	 * birth year */
	
	if (birthday_yet == 'y')
	{
		age = current_year - birth_year;
	}

	/* if the student has not had their birthday yet this year, calculate
	 * their age as one less than the difference between the current year
	 * and their birth year */
	
	else if (birthday_yet == 'n')
	{
		age = current_year - birth_year - 1;
	}

	//if "birthday_yet" is not 'y' or 'n', then output an error message
	
	else
		cout << "Bad Input! Cannot calculate age!" << endl;

	//output age
	cout << "Student age                 : " << age << endl;

	//output GPA
	cout << "Student GPA                 : " << gpa << endl;
	cout << endl;

	//program ran and ended successfully
	return 0;
}
